################################################################################
# Author: Torsten.Leitner@email.de
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
C_SRCS += \
./gnuplot_i_C.c 

CPP_SRCS += \
./AnyOption.cpp \
./GasTargetIonization.cpp \
./InAndOut.cpp \
./InitFundamentalLaser.cpp \
./NonLinearPolarisation.cpp \
./NonlinearDipoleMoment.cpp \
./VecPot.cpp \
./evolve.cpp \
./fftw-fft.cpp \
./gnuplot.cpp \
./io3d.cpp \
./logbuch.cpp \
./main-rhyno.cpp \
./options.cpp \
./tArrayComplex2D_rt.cpp \
./tArrayComplex3D_xyt.cpp \
./threedee_tests.cpp \
./tmptmp.cpp \
./tools.cpp \
./twodee.cpp \
./twodee_tests.cpp 

OBJS += \
./build/AnyOption.o \
./build/GasTargetIonization.o \
./build/InAndOut.o \
./build/InitFundamentalLaser.o \
./build/NonLinearPolarisation.o \
./build/NonlinearDipoleMoment.o \
./build/VecPot.o \
./build/evolve.o \
./build/fftw-fft.o \
./build/gnuplot.o \
./build/gnuplot_i_C.o \
./build/io3d.o \
./build/logbuch.o \
./build/main-rhyno.o \
./build/options.o \
./build/tArrayComplex2D_rt.o \
./build/tArrayComplex3D_xyt.o \
./build/threedee_tests.o \
./build/tmptmp.o \
./build/tools.o \
./build/twodee.o \
./build/twodee_tests.o 

C_DEPS += \
./build/gnuplot_i_C.d 

CPP_DEPS += \
./build/AnyOption.d \
./build/GasTargetIonization.d \
./build/InAndOut.d \
./build/InitFundamentalLaser.d \
./build/NonLinearPolarisation.d \
./build/NonlinearDipoleMoment.d \
./build/VecPot.d \
./build/evolve.d \
./build/fftw-fft.d \
./build/gnuplot.d \
./build/io3d.d \
./build/logbuch.d \
./build/main-rhyno.d \
./build/options.d \
./build/tArrayComplex2D_rt.d \
./build/tArrayComplex3D_xyt.d \
./build/threedee_tests.d \
./build/tmptmp.d \
./build/tools.d \
./build/twodee.d \
./build/twodee_tests.d 

# Each subdirectory must supply rules for building sources it contributes
./build/%.o: ./%.cpp
	@echo 'Building file: $<'
	@echo 'Invoking: GCC C++ Compiler'
	g++-3.3 -O3 -Wall -c -fmessage-length=0 -MMD -MP -MF"$(@:%.o=%.d)" -MT"$(@:%.o=%.d)" -o"$@" "$<"
#	g++-3.3 -O3 -Wall -c -fmessage-length=0 -MMD -MP -o"$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '

./build/%.o: ./%.c
	@echo 'Building file: $<'
	@echo 'Invoking: GCC C Compiler'
	gcc-3.3 -O3 -Wall -c -fmessage-length=0 -MMD -MP -MF"$(@:%.o=%.d)" -MT"$(@:%.o=%.d)" -o"$@" "$<"
#	gcc-3.3 -O3 -Wall -c -fmessage-length=0 -MMD -MP -o"$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '


