//
//
//
//#include "VecPot.h"
//
///// all time-units in vecpot are natural (-> w0:=1)
//
//
//// ***************************************************************************************************
//VecPot::VecPot()
//{
//}
//// ***************************************************************************************************
//VecPot::~VecPot()
//{
//}
//// ***************************************************************************************************
//
//int VecPot::SetVecPotPointer(void)
//{	
//	switch(Type)
//	{
//	
//	case VECPOT_NEAREST_POINT_METHOD :
//	    SupplyInterpolationPoints();
//		VecPotPtr	= &VecPot::linat;
//		IntAPtr		= &VecPot::linInt;
//		IntA2Ptr	= &VecPot::linInt2;
//		break;  
//	
//	case VECPOT_LINEAR_INTERPOLATION :
//		SupplyInterpolationPoints();
//		VecPotPtr	= &VecPot::nearestat;
//		IntAPtr		= &VecPot::nearestInt;
//		IntA2Ptr	= &VecPot::nearestInt2;
//		break;  
//	}
//	return 0;
//}
//
//// ***************************************************************************************************
//// ***************************************************************************************************
//// ***************************************************************************************************
//
//
//
//// *****************************************************************************
//int VecPot::SupplyInterpolationPoints()
//{ // Simpson Integration Method
//	
////	 ofstream File("vectest.dat", ios::out|ios::trunc);
//
//	double minus_inf = -10*tau;
//		
//	double t=minus_inf;
//	double A=0;
//    i=0;
//	
////	while (t<=tmin) { ///   calculate:   A(tmin) = int_{-inf}^{tmin} [ E(t)dt ]
////		t+=dt;
////		A+= (0.5*dt /3 ) * ( 		laser->at(t)  
////		  					  + 4 * laser->at(t-0.5*dt)  
////						      +     laser->at(t-dt) 			) ;
////	}
//
//	for (int ir=0;ir<Nr;ir++) {
//		
//		jt = 0;
//		VectorPotential	[ir][jt] =	0;
//	//	tvector			[ir][jt] =	tmin;
//		IntegralA		[ir][jt] =	0;	
//		IntegralA2		[ir][jt] =	0;
//	    
//      	for (i=1;i<N;i++) {
//			t+=dt;
//  			tmp1 = VectorPotential[ir][jt-1] +    (0.25*dt /3 ) * 	// tmp1 = A(t-0.5*dt)
//  								( 		laser->at(t-0.5*dt)  
//							      + 4 * laser->at(t-0.75*dt)  
//							      +     laser->at(t-dt) 			) ;
//  
//	  		VectorPotential[ir][jt] = tmp1 + (0.25*dt /3 ) * 						
//  								( 		laser->at(t)  			
//							      + 4 * laser->at(t-0.25*dt)  
//							      +     laser->at(t-0.5*dt) 			) ;
//						      
//		
//		
//// Vector Potentials calculated ... go for the Integrals ...
//						      
//			IntegralA[ir][jt] = IntegralA[ir][jt-1] + (0.5*dt /3 ) * 
//								(		VectorPotential[ir][jt]					// A(t)
//								  + 4 * tmp1   								// A(t-0.5*dt)
//								  +		VectorPotential[ir][jt-1]   		) ;		// A(t-dt)
//							  
//			IntegralA2[ir][jt]= IntegralA2[ir][jt-1] + (0.5*dt /3 ) * 
//								(		VectorPotential[ir][jt]*VectorPotential[ir][jt]						// A^2(t)
//								  + 4 * tmp1*tmp1													// A^2(t-0.5*dt)
//								  +		VectorPotential[ir][jt-1]*VectorPotential[ir][jt-1]   		) ;		// A^2(t-ddt)
//	}
//
//	return 0; 
//}
//// *****************************************************************************
//
//
//
//
//
//// ***************************************************************************************************
//// ************  Mono-Functions **********************************************************************
//// ***************************************************************************************************
//inline double VecPot::monoat(const double t)
//{
//	return -sin(t);	
//}
//// ***************************************************************************************************
//inline double VecPot::monoInt(const double t1, const double t2)
//{
//	return -( cos(t2)-cos(t1) ) ;	
//}
//// ***************************************************************************************************
//inline double VecPot::monoInt2(const double t1, const double t2)
//{
//	return  t2-t1 - 0.5*( sin(2*t2)-sin(2*t1) );	
//}
//// ***************************************************************************************************
////  /*
//// ***************************************************************************************************
//// ************* Nearest-Point-Functions *************************************************************
//// ***************************************************************************************************
//inline double VecPot::nearestat(const double t)
//{
//	return VectorPotential[ int( (t-tmin)/dt + 0.5) ];	
//}
//// ***************************************************************************************************
//inline double VecPot::nearestInt(const double t1, const double t2)
//{
//	return IntegralA[ int( (t2-tmin)/dt + 0.5) ] - IntegralA[ int( (t1-tmin)/dt + 0.5) ];	
//}
//// ***************************************************************************************************
//inline double VecPot::nearestInt2(const double t1, const double t2)
//{
//	return IntegralA2[ int( (t2-tmin)/dt + 0.5) ] - IntegralA2[ int( (t1-tmin)/dt + 0.5) ];		
//}
//// ***************************************************************************************************
//
////*/
//// ***************************************************************************************************
//// ************* Linear-Interpolating-Functions ********* see NR p 94 ********************************
//// ***************************************************************************************************
//inline double VecPot::linat(const double t)
//{
//	i = int( (t-tmin)/dt ); // i : tvector[i] < t;
//	tmp1 = ( (i+1)*dt+tmin -t )/dt;
//	return tmp1*VectorPotential[i] + (1-tmp1)*VectorPotential[i+1];	
//}
//
//// ***************************************************************************************************
//inline double VecPot::linInt(const double t1, const double t2)
//{
//	i 	 = int( (t1-tmin)/dt ); // i : tvector[i] < t1;
//	tmp1 = ( (i+1)*dt+tmin - t1 )/dt;
//	j    = int( (t2-tmin)/dt ); // j : tvector[j] < t2;
//	tmp2 = ((j+1)*dt+tmin - t2 )/dt;
//	return tmp2*IntegralA[j] + (1-tmp2)*IntegralA[j+1] - tmp1*IntegralA[i] - (1-tmp1)*IntegralA[i+1];	
//}
//
//
//// ***************************************************************************************************
//inline double VecPot::linInt2(const double t1, const double t2)
//{
//	i 	 = int( (t1-tmin)/dt ); // i : tvector[i] < t1;
//	tmp1 = ((i+1)*dt-t1+tmin)/dt;
//	j    = int( (t2-tmin)/dt ); // j : tvector[j] < t2;
//	tmp2 = ((j+1)*dt-t2+tmin)/dt;
//	return tmp2*IntegralA2[j] + (1-tmp2)*IntegralA2[j+1] - tmp1*IntegralA2[i] - (1-tmp1)*IntegralA2[i+1];
//}
//// ***************************************************************************************************
//
//
//
//
//// ***************************************************************************************************
//// *******************                          ******************************************************
//// *******************   Public-Methods         ******************************************************
//// *******************                          ******************************************************
//// ***************************************************************************************************
//double VecPot::at(const double t)
//{
//	return (this->* VecPotPtr) (t);
//}
//// ***************************************************************************************************
//// ***************************************************************************************************
//double VecPot::Int(const double t1, const double t2)
//{
//	return (this->* IntAPtr)  (t1,t2);	
//}
//// ***************************************************************************************************
//// ***************************************************************************************************
//double VecPot::Int2(const double t1, const double t2)
//{
//	return (this->* IntA2Ptr) (t1,t2);	
//}
//// ***************************************************************************************************
//// ***************************************************************************************************
//int VecPot::init(class tArrayComplex2D_rt *laser)
//{ 
//	//return init(laser,-3*(laser->taunatural),+3*laser->taunatural,Nmax);
//	return 0;
//}
//// ***************************************************************************************************
//int VecPot::init(class tArrayComplex2D_rt *inlaser, struct InputParameters *in)
//{
//	if ( inN > Nmax ) { N = Nmax; }
//	else 			  { N = inN;  }
//	
//	
//	Nr  	= in->Nr;
//	Ntw 	= in->Ntwh;
//	
//	VectorPotential  = new Complex* [Nr];	
//		for (ir=0;ir<Nr;ir++) 	{  VectorPotential[ir] = new Complex [Ntw]; }
//	
//	VectorPotential = new double [Nr,Ntw];
////	tvector         = new double [Nr,Ntw];
//	
//	IntegralA       = new double [Nr,Ntw];
//	IntegralA2      = new double [Nr,Ntw];
//	
//	
//    tmin  = intmin;
//    tmax  = intmax;
//	dt = (tmax-tmin)/(N);
//            
//	laser 	= inlaser;
////	w0 		= laser->w0;
////	xlam	= laser->lambda;
////	tau		= laser->taunatural;
////	
////	Type 	= laser->Type;
//	SetVecPotPointer();
//	
////	double t=2; cout << "t = " << t << " -> laser(t) = "<< laser->at(t) << endl;
//	cout << "Object of class 'VecPot' created and initialized ..." << endl;
//	return 0;
//}
//// ***************************************************************************************************
//// ***************************************************************************************************
//// ***************************************************************************************************
//
//
//
//
//
