#ifndef TWODEE_TESTS_H_
#define TWODEE_TESTS_H_



// Author: Torsten.Leitner@email.de
// (c) 2006/2007


#include <stdio.h>
#include <unistd.h> // it contains the [" int sleep(unsigned int seconds) "]-function
#include <iostream>
#include <iomanip>
#include <fstream>
#include <string>
#include <math.h>
#include <complex>
#include <vector>
#include <sstream>


/*
#include <gsl/gsl_math.h>
//#include <gsl/gsl_complex.h>
//#include <gsl/gsl_complex_math.h>
//#include <gsl/gsl_sf_bessel.h>
//#include <gsl/gsl_integration.h>
#include <gsl/gsl_const_mksa.h>
#include <gsl/gsl_math.h>
//#include <gsl/gsl_complex.h>
//#include <gsl/gsl_complex_math.h>
//#include <gsl/gsl_sf_bessel.h>
#include <gsl/gsl_errno.h>
//#include <gsl/gsl_integration.h>
#include <gsl/gsl_const_mksa.h>
#include <gsl/gsl_fft_real.h>
//#include <gsl/gsl_fft_halfcomplex.h>
#include <gsl/gsl_fft_complex.h>
*/

#include <fftw3.h>
#include "fftw_fft.h"
//#include "complexFFT.H"
//#include "gsl_fft.h"
#include "Definitions.h"

//#include "singleatom.h"
#include "InitFundamentalLaser.h"
#include "GasTargetIonization.h"
#include "evolve.h"
#include "tools.h" 
#include "AnyOption.h"
#include "options.h"
#include "gnuplot.h"
#include "logbuch.h"
#include "InAndOut.h"

#include "tmptmp.h"

#include "io3d.h"

#include "tArrayComplex2D_rt.h"
#include "tArrayComplex3D_xyt.h"


//#include <octave/octave/oct.h>



int the_twodee_test_program(struct InputParameter inpar);




#endif /*TWODEE_TESTS_H_*/
